Modul depocarrier pro Prestashop 1.7
====================================

Integrace dopravce DEPO.sk do Prestashopu verze 1.7.

Při libovolných problémech s instalací či používáním tohoto produktu kontaktujte
naši technickou podporu na emailu podpora@1webit.cz.

Instalace
---------

Složku depocarrier nahrajte do adresáře /modules. Následně modul nainstalujte v
backoffice Prestashopu v záložce Moduly a Služby.

Aby modul správně fungoval, je třeba nastavit práva pro čtení a zápis do adresářů
(případně je vytvořit, pokud neexistují):

 - /modules/depocarrier/log
 - /modules/depocarrier/temp
 - /modules/depocarrier/pdf

Nastavení modulu obsahuje následující položky:

 - DEPO_COST_[měna] - nastavuje cenu přepravy pro danou měnu
 - DEPO_USERNAME, DEPO_PASSWORD, DEPO_URL - byste již měli mít k dispozici
 - DEPO_GOOGLE_MAP_API_KEY - klíč pro použití v google mapách, zpočátku je
 možné použít výchozí
 - DEPO_COD_MODULES - zde zaškrtněte ty platební moduly, které se mají v rámci
 DEPO.sk chovat jako platby na dobírku (typicky cashondelivery nebo cashondeliveryplus)

Položky s prefixem DEV_DEPO_ můžete ignorovat, jsou zde pouze pro snadnější úpravy
modulu.

DEPO.sk vyžaduje telefonní číslo. Pokud ho dosud nemáte nastavené jako povinné, učiňte
tak prosím v backoffice Prestashopu (Zakaznici > Adresy > Nastavit pozadovana pole
pro tento vyber).

Práce s modulem
---------------

### Vytvoření objednávky

Když si zákazník vybere dopravce DEPO.sk, může si na mapě vybrat konkrétní místo,
kam mu bude balíček doručen. Pokud zákazník žádné místo nevybere, objednávku
nelze odeslat a zobrazí se chybová hláška.

Na stránce potvrzení objednávky se zákazníkovi kromě obvyklých informací zobrazí
i vybrané místo.

### Registrace balíku do systému DEPO.sk

Registraci balíku do systému DEPO.sk je možné provést v backoffice Prestashopu v
detailu objednávky a to dvěma různými způsoby.

Prvním a preferovaným je nastavit statv objednávky na "Shipped (DEPO.sk)". Tím se
balík zaregistruje v systému a zároveň je zákazníkovi odeslán mail s číslem balíku
a údaji o místě dodání.

Druhým způsobem registrace je kliknutí na tlačítko "DEPO - send package" (Záložka
DEPO vedle záložky Shipping). Tím se nezmění stav objednávky ani není zákazníkovi odeslán mail.
Na stejné záložce je pak možnost registrované balíky zrušit, vygenerovat PDF
se štítkem na balík nebo zobrazit detaily balíku.

Historie operací s balíky dané objednávky je zobrazena na stejné záložce (u každého
balíku je opět možné zobrazit detail).