var DEPO = {
	options: {
		// wrapping element
		wrapper: '.js-depo-wrapper',
		place_input: '.js-depo-place-id',
		place_alert: '.js-depo-alert',
		// base url for ajax (link to a controller)
		base_ajax_url: DEPO_base_ajax_url,
	},
	init: function() {
		
	},
	_ajax: function(action, parameters, callback) {
		$.ajax({
			url: DEPO.options.base_ajax_url,
			data: {
				ajax: true,
				action: action,
				parameters: parameters
			},
			success: function(data) {
				if (callback) {
					callback(data)
				}
			}
		});
	},
	ajax_set_place: function(id_place, callback) {
		DEPO._ajax('SetPlace', {'id_place': id_place}, callback);
	},
	set_place: function(id_place) {
		console.log('setting place');
		console.log(id_place);
		DEPO.ajax_set_place(id_place, function(data) {
			$(DEPO.options.place_alert).slideUp(400);
		});
	}
};

